# Get Wallet Labels

## Description

This endpoint allows the developer to submit an address and the chain they want to check. The response will provide the address's labels. An opitonal name param will appear if we have the known or suspected identity of the address.

## Params Required

```json
"chain": "ethereum",
"address": "0x610e9845c1dd47607a37819c62577ce0bc36a8e2"
```

## cURL Request Example

```bash
 curl --request GET \ 
     --url https://www.blockchainlabels.com/api/v1/labels/address/ethereum/0x610e9845c1dd47607a37819c62577ce0bc36a8e2 \ 
     --header 'X-API-KEY: {{YOUR_API_KEY}}' 
```

## Response Example

```json
{
    "error": null,
    "data": {
        "_id": "0x610e9845c1dd47607a37819c62577ce0bc36a8e2",
        "labels": [
            {
                "_id": 2,
                "label": "Tornado Cash Withdrawer",
                "type": "Mixer User"
            },
            {
                "_id": 53,
                "label": "Received from OFAC Sanctioned Address",
                "type": "Security"
            },
            {
                "_id": 4680,
                "label": "USDC Received 1M+",
                "type": "Stablecoin: Large Volume"
            },
            {
                "_id": 4681,
                "label": "USDC Sent 1M+",
                "type": "Stablecoin: Large Volume"
            },
            {
                "_id": 4679,
                "label": "USDC User",
                "type": "Stablecoin"
            },
            {
                "_id": 4923,
                "label": "Address Funded by Mixer",
                "type": "Mixer User"
            }
        ]
    }
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockchainlabels.com/api/get-wallet-labels.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
